Bug 248768 - qt4-4.3.0-8: multilib broken: qconfig.h
qt4-4.3.0-8: multilib broken: qconfig.h
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 13:26 EDT by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.3.0-9.fc7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 11:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-07-18 13:26:16 EDT
tried installing qt4.i386 on a x86_64 box today:

...
Transaction Check Error:
  file /usr/include/Qt/qconfig.h from install of qt4-devel-4.3.0-8.fc7 conflicts
with file from package qt4-devel-4.3.0-8.fc7
  file /usr/include/QtCore/qconfig.h from install of qt4-devel-4.3.0-8.fc7
conflicts with file from package qt4-devel-4.3.0-8.fc7

doh.  

Fix is easy enough.
Comment 1 Rex Dieter 2007-07-18 13:27:24 EDT
%changelog
* Sun Jul 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.3.0-9
- multilib broken: qconfig.h (#248768)
- +%%_qt4_demosdir,%%_qt4_examplesdir
- + Qt.pc, provide pkgconfig access to qt4 macros/variables
Comment 2 Rex Dieter 2007-07-18 13:38:51 EDT
To be clear, this affects qt4-devel only, not qt4 runtime.
Comment 3 Fedora Update System 2007-07-23 11:48:58 EDT
qt4-4.3.0-9.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.